Bug 1123565 - Brightness keys do not work HP Elitebook 745 G2
Summary: Brightness keys do not work HP Elitebook 745 G2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
Hans de Goede
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 16:14 UTC by Alexander Lindqvist
Modified: 2014-08-01 11:33 UTC (History)
7 users (show)

Fixed In Version: kernel-3.15.7-200.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-01 06:02:00 UTC


Attachments (Terms of Use)

Description Alexander Lindqvist 2014-07-26 16:14:29 UTC
Description of problem:
Brightness keys works but no difference in brightness

# grep '.*' /sys/class/dmi/id/*_* 2> /dev/null

/sys/class/dmi/id/bios_date:05/19/2014
/sys/class/dmi/id/bios_vendor:Hewlett-Packard
/sys/class/dmi/id/bios_version:M84 Ver. 01.01
/sys/class/dmi/id/board_asset_tag:Base Board Asset Tag
/sys/class/dmi/id/board_name:221C
/sys/class/dmi/id/board_vendor:Hewlett-Packard
/sys/class/dmi/id/board_version:KBC Version 63.13
/sys/class/dmi/id/chassis_asset_tag:XXXXXXXXXXX
/sys/class/dmi/id/chassis_type:10
/sys/class/dmi/id/chassis_vendor:Hewlett-Packard
/sys/class/dmi/id/chassis_version:
/sys/class/dmi/id/product_name:HP EliteBook 745 G2
/sys/class/dmi/id/product_version:A3009DD10303
/sys/class/dmi/id/sys_vendor:Hewlett-Packard


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. FN+F9-F10
2.
3.

Actual results:


Expected results:


Additional info:

Same problem as https://bugzilla.redhat.com/show_bug.cgi?id=903136

video.use_native_backlight=1 works and solves the problem.
Tested on 3.15.6-200.fc20.x86_64

Comment 1 Hans de Goede 2014-07-28 15:58:40 UTC
I've added a patch for this to the official Fedora 20 kernel packages, so it should get picked up by the next F-20 kernel build. When that happens please test without video.use_native_backlight=1 on the kernel commandline and confirm that everything still works as it should.

Comment 2 Hans de Goede 2014-07-28 15:59:03 UTC
p.s. And thanks for the bug report!

Comment 3 Fedora Update System 2014-07-29 03:56:11 UTC
kernel-3.15.7-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.15.7-200.fc20

Comment 4 Fedora Update System 2014-07-30 07:03:34 UTC
Package kernel-3.15.7-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.15.7-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9010/kernel-3.15.7-200.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-01 06:02:00 UTC
kernel-3.15.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Alexander Lindqvist 2014-08-01 11:33:25 UTC
kernel-3.15.7-200 confirmed working without using video.use_native_backlight=1

Thanks Hans for your quick update!


Note You need to log in before you can comment on or make changes to this bug.